input fertilicalc__npk_input {
  rotations : [fertilicalc__npk_rotation_input!]!
  soil : fertilicalc__npk_soil_input!
  strategy : String!
  tillage : Boolean!
  plot_id : Int!
  nitrate_in_water : Float
}

input fertilicalc__npk_rotation_input {
  index : Int!
  profile : Int!
  plant_species_group : String!
  yield : Float!
  collect_residues : Boolean
  f_residues : Float
}

input fertilicalc__npk_soil_input {
  soil_type : String!
  p : Float!
  k : Float!
  som : Float
}

type fertilicalc__npk_output {
  n : Float!
  p : Float!
  k : Float!
  plot_id : Int!
  rotation_index : Int!
  n_basal : Float
  basal_description : String
  post_planting_count : Int
  n_each_post_planting : Float
  post_planting_description : String
}

input fertilicalc__fertilization_npk_input {
  n : Float!
  p : Float!
  k : Float!
}

type fertilicalc__fertilization_compound_fertilizer_output {
  id : Int!
  name : String!
  quantity : Float!
  fertilizer_type_id : String!
  n_percentage : Float!
  n_efficiency : Float!
  p_percentage : Float!
  p_efficiency : Float!
  k_percentage : Float!
  k_efficiency : Float!
  n_kg : Float!
  p_kg : Float!
  k_kg : Float!
}

type fertilicalc__generate_results_pdf_output {
  pdf : String!
}

type Query {
  fertilicalc__npk (
    inputs: [fertilicalc__npk_input!]!
  ): [fertilicalc__npk_output!]!
}

type Query {
  fertilicalc__fertilization_compound_fertilizer_with_topdressing (
    input: fertilicalc__fertilization_npk_input!
  ): fertilicalc__fertilization_compound_fertilizer_output!
}

type Query {
  fertilicalc__fertilization_compound_fertilizer_without_topdressing (
    input: fertilicalc__fertilization_npk_input!
  ): fertilicalc__fertilization_compound_fertilizer_output!
}

type Query {
  fertilicalc__generate_results_pdf (
    inputs: jsonb!
  ): fertilicalc__generate_results_pdf_output
}
